> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onboard.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API Info

Returns general information about the API, including current status and version.


## OpenAPI

````yaml GET /exchange/api/info
openapi: 3.0.3
info:
  version: 3.0.2
  title: Onboard External API Gateway
  description: >-
    **Introduction**

    API Gateway for Onboard


    This specification describes API endpoints that are available to the public
    internet via the API gateway. The different endpoints require different
    authentication schemes, see documentation for what applies to the operation
    you want to access.


    **Errors**

    Uses conventional HTTP response codes to indicate success or failure. In

    general:
     
    - `2xx` status codes indicate success. Codes in the

    - `4xx` range

    indicate a client error (e.g. required parameters, failed request etc.).

    - `5xx` status codes indicate a server error occurred.
  contact:
    name: Nestcoin TechOps
    email: techops@nestcoin.com
  license:
    name: UNLICENSED
servers:
  - url: https://external.dev.onboardpay.co
    description: Gateway for external API on staging environment.
security: []
tags:
  - name: users-onboardapi
    description: Endpoints available to for merchants liquidity automation
  - name: users-users
    description: User related endpoints
  - name: users-partners
    description: Partner related endpoints
  - name: users-admin
    description: Back office related endpoints
  - name: users-user2fa
    description: User 2fa related endpoints
  - name: users-usernotifications
    description: User notifications related endpoints
  - name: users-merchantnetwork
    description: Merchant network endpoints
  - name: users-userauth
    description: Authentication endpoints
  - name: users-userservice
    description: Service endpoints
  - name: users-webhook
    description: webhook endpoints
  - name: users-config
    description: Configuration Endpoints
paths:
  /exchange/api/info:
    get:
      tags:
        - exchange-external-api
      summary: Get CEX Profile
      operationId: queryMyBusinessInfo
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CexProfileDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
        '401':
          description: Unauthorized request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
      security:
        - HMACAuth: []
components:
  schemas:
    CexProfileDto:
      required:
        - businessCategory
        - businessEmail
        - businessFormationDate
        - businessId
        - businessIndustry
        - businessLocation
        - businessName
        - businessRegCountry
        - businessRegNo
        - createdAt
        - legalEntityType
        - monthlyTransactionVolume
        - operatesInRestrictedRegions
        - taxCountry
        - taxIdentificationNumber
        - transactsOnBehalfOfThirdParties
        - updatedAt
      type: object
      properties:
        businessId:
          type: string
          format: uuid
          example: 3a5aaea8-504a-4404-ad3d-b82574fba5e5
          description: General format for UUID
        businessName:
          type: string
          description: Registered name of business entity
          example: Onabord exchange
        businessEmail:
          type: string
          format: email
          description: Business profile email address
        businessLocation:
          type: string
          description: business full location address
        productName:
          type: string
          description: Product name
        productWebsiteUrl:
          type: string
          description: HTTP link to the product / business website
          format: url
        productDescription:
          type: string
          description: Description of product
        businessPhoneNumber:
          pattern: \+[1-9][0-9]{0,3}[0-9]{7,14}
          type: string
          description: Phone number field.
        businessRegNo:
          type: string
          description: Business registration number (if any)
        businessRegCountry:
          type: string
          description: Business country of registration (if any)
        businessLogoUrl:
          type: string
          description: HTTP link to business image logo
          format: url
        businessFormationDate:
          type: string
          description: Date the business entity was formed
          format: date
        businessType:
          type: string
        businessIndustry:
          $ref: '#/components/schemas/BusinessIndustry'
        enabledProducts:
          type: array
          items:
            type: string
        operatingAddress:
          type: string
          description: Operating address, when different from the registered address
        taxCountry:
          type: string
          description: Tax residency country, Valid alpha2 country code
          minLength: 2
          maxLength: 2
        taxIdentificationNumber:
          type: string
          description: Business tax identification number (TIN)
        legalEntityType:
          $ref: '#/components/schemas/LegalEntityType'
        businessCategory:
          $ref: '#/components/schemas/BusinessCategory'
        monthlyTransactionVolume:
          type: string
          description: Current monthly transaction volume bucket in USD
        transactsOnBehalfOfThirdParties:
          type: boolean
          description: Whether the business transacts on behalf of other parties
        operatesInRestrictedRegions:
          type: boolean
          description: >-
            Whether the business operates in or serves customers from restricted
            regions
        restrictedRegions:
          type: string
          description: Free-text list of restricted regions, when applicable
        ultimateBeneficialOwners:
          type: array
          items:
            $ref: '#/components/schemas/UltimateBeneficialOwner'
        directors:
          type: array
          items:
            $ref: '#/components/schemas/BusinessDirector'
        authorisedSignatories:
          type: array
          description: BVNs of authorised signatories (Nigerian-registered entities)
          items:
            type: string
        documents:
          type: array
          items:
            $ref: '#/components/schemas/BusinessDocument'
        declarationAcceptedAt:
          type: string
          format: date-time
          description: Timestamp field.
          x-faker: date.recent
        createdAt:
          type: string
          format: date-time
          description: Timestamp field.
          x-faker: date.recent
        updatedAt:
          type: string
          format: date-time
          description: Timestamp field.
          x-faker: date.recent
      description: CEX user profile object
      x-source-svc: exchange
    ErrorMessageDto:
      description: >-
        Default error object for services. This gives consistent error object
        that all services may use.
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Error code
          example: UNKNOWN_ERROR
        message:
          type: string
          description: Descriptive error message
          example: Request could not be completed due to an error
        data:
          type: object
          description: Additional data for this error message.
          additionalProperties: true
          properties: {}
      x-common-model: ErrorMessageDto
    BusinessIndustry:
      type: string
      description: Sector the business primarily operates in
      enum:
        - TECHNOLOGY_SOFTWARE
        - FINANCIAL_SERVICES
        - ECOMMERCE
        - MARKETING_ADVERTISING
        - CONSULTING_PROFESSIONAL_SERVICES
        - EDUCATION
        - HEALTHCARE
        - MANUFACTURING
        - LOGISTICS_SUPPLY_CHAIN
        - REAL_ESTATE
        - CRYPTO_WEB3
        - GAMING
        - MEDIA_ENTERTAINMENT
        - OTHER
      x-source-svc: exchange
    LegalEntityType:
      type: string
      description: Legal structure of the business entity (KYB "Business type (Entity)")
      enum:
        - LIMITED_LIABILITY_COMPANY
        - PUBLIC_COMPANY
        - SOLE_PROPRIETORSHIP
        - PARTNERSHIP
        - CORPORATION
        - TRUST
        - PRIVATE_FOUNDATION
        - CHARITY
        - NON_PROFIT_ORGANIZATION
        - PUBLIC_AGENCY
      x-source-svc: exchange
    BusinessCategory:
      type: string
      description: KYB onboarding tier that determines the required document set
      enum:
        - GENERAL_BUSINESS
        - OTC_FX_LIQUIDITY_PROVIDER
        - LICENSED_FINANCIAL_SERVICES
      x-source-svc: exchange
    UltimateBeneficialOwner:
      type: object
      description: An individual owning 25% or more of the business
      required:
        - fullName
        - email
        - ownershipPercentage
      properties:
        fullName:
          type: string
        email:
          type: string
          format: email
        ownershipPercentage:
          type: number
      x-source-svc: exchange
    BusinessDirector:
      type: object
      description: A current director of the business
      required:
        - fullName
        - email
      properties:
        fullName:
          type: string
        email:
          type: string
          format: email
      x-source-svc: exchange
    BusinessDocument:
      type: object
      description: An uploaded KYB document
      required:
        - label
        - uploadId
      properties:
        label:
          type: string
          description: Human-readable document name, e.g. Certificate of Incorporation
        uploadId:
          type: string
          description: Identifier of the stored upload
        url:
          type: string
          description: Direct URL to the stored file
          format: url
      x-source-svc: exchange
  securitySchemes:
    HMACAuth:
      type: apiKey
      name: x-api-key
      in: header
      description: |-
        Requires authentication via API key and HMAC signature.
          * `x-api-key`: Your API key generated from your Onboard Business dashboard.
          * `x-timestamp`:  Unix epoch timestamp (seconds) used in signature, allowed skew is 30 seconds
          * `x-signature`: SHA256 HMAC HEX signature calculated over  `t={x-timestamp}&{requestBody}` using your API Secret.

````